Bug 841401 - [abrt] mysql-workbench-5.2.40-1.fc17: __GI___poll: Process /usr/bin/mysql-workbench-bin was killed by signal 6 (SIGABRT)
[abrt] mysql-workbench-5.2.40-1.fc17: __GI___poll: Process /usr/bin/mysql-wor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:bb00502f9e51e390964b2aa8f8f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:27 EDT by muscat
Modified: 2012-09-12 08:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 08:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.43 KB, text/plain)
2012-07-18 17:28 EDT, muscat
no flags Details
File: backtrace (113.92 KB, text/plain)
2012-07-18 17:28 EDT, muscat
no flags Details
File: smolt_data (3.45 KB, text/plain)
2012-07-18 17:28 EDT, muscat
no flags Details
File: maps (47.40 KB, text/plain)
2012-07-18 17:28 EDT, muscat
no flags Details
File: dso_list (15.63 KB, text/plain)
2012-07-18 17:28 EDT, muscat
no flags Details

  None (edit)
Description muscat 2012-07-18 17:27:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/mysql-workbench-bin
crash_function: __GI___poll
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.4.0-1.fc17.i686
pid:            3872
pwd:            /home/muscat
time:           Чт. 19 июля 2012 00:09:23
uid:            1000
username:       muscat

backtrace:      Text file, 116658 bytes
core_backtrace: Text file, 4538 bytes
dso_list:       Text file, 16005 bytes
maps:           Text file, 48541 bytes
smolt_data:     Binary file, 3535 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/muscat/2

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.cJECxo
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1068
:HOSTNAME=muscat.muscat.rv.ua
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/muscat/.gnupg/S.gpg-agent:1092:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=57a50b503f28a2d89ea675fb00000010-1342604926.760176-1325141360
:GNOME_KEYRING_CONTROL=/run/user/muscat/keyring-tmQH4k
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=muscat
:LD_LIBRARY_PATH=/usr/lib/mysql-workbench
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-hZyRRGegQ936/agent.936
:USERNAME=muscat
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1101,unix/unix:/tmp/.ICE-unix/1101
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/muscat
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/muscat/.local/bin:/home/muscat/bin:/usr/share/mysql-workbench/python
:QT_IM_MODULE=xim
:PWD=/home/muscat
:XMODIFIERS=@im=none
:LANG=ru_RU.UTF-8
:GNOME_KEYRING_PID=934
:MWB_PLUGIN_DIR=/usr/lib/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlfailover mysqlrplshow mysqlindexcheck mysqldiskusage mysqlreplicate mysqldbexport mysqldbcopy mysqlserverclone mysqlprocgrep mysqlrpladmin mysqlserverinfo mysqldbcompare mysqlmetagrep mysqldiff mysqluserclone mysqldbimport mysqlrplcheck'
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=4
:HOME=/home/muscat
:XDG_SEAT=seat0
:DBC_DRIVER_PATH=/usr/lib/mysql-workbench
:LOGNAME=muscat
:PYTHONPATH=/usr/share/mysql-workbench/python
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rWwBAh1yiw,guid=0fba33b649ba2d5f611cb7ee0000002d
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:MWB_MODULE_DIR=/usr/lib/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/muscat
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-muscat-BCS7tG/database
:_=/usr/bin/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15996                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15996                15996                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/muscat/.xsession-errors
:2:/home/muscat/.xsession-errors
:3:anon_inode:[eventfd]
:4:pipe:[496994]
:5:pipe:[496994]
:6:socket:[496995]
:7:socket:[496300]
:8:anon_inode:inotify

var_log_messages:
:Jul 18 00:22:35 muscat abrt[4577]: Saved core dump of pid 4351 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-07-18-00:22:34-4351 (99532800 bytes)
:Jul 19 00:09:24 muscat abrt[4190]: Saved core dump of pid 3872 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-07-19-00:09:23-3872 (99422208 bytes)

xsession_errors:
:(mysql-workbench-bin:3872): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:3872): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:3872): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:3872): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:*** glibc detected *** /usr/bin/mysql-workbench-bin: double free or corruption (fasttop): 0xb5154268 ***
:/usr/bin/mysql-workbench-bin(_ZN5boost6detail15sp_counted_base7releaseEv+0x28)[0x83ec638]
:/usr/bin/mysql-workbench-bin(_ZN3sql17ConnectionWrapperD1Ev+0x1f)[0x846e16f]
:/usr/bin/mysql-workbench-bin(_ZN3sql22Dbc_connection_handlerD1Ev+0x38)[0x852fca8]
:/usr/bin/mysql-workbench-bin(_ZN5boost6detail17sp_counted_impl_pIN3sql22Dbc_connection_handlerEE7disposeEv+0x18)[0x852fd18]
:/usr/bin/mysql-workbench-bin[0x8514dbf]
:/usr/bin/mysql-workbench-bin(_ZN13SqlEditorFormD1Ev+0x435)[0x8528fb5]
:/usr/bin/mysql-workbench-bin(_ZN13SqlEditorFormD0Ev+0x11)[0x8529381]
:/usr/bin/mysql-workbench-bin(_ZN15QueryOutputViewD1Ev+0xf0)[0x8447c30]
:/usr/bin/mysql-workbench-bin(_ZN15DbSqlEditorViewD1Ev+0x13e)[0x843fd6e]
:/usr/bin/mysql-workbench-bin(_ZN15DbSqlEditorViewD0Ev+0x11)[0x843ff61]
:/usr/bin/mysql-workbench-bin(_ZN8MainForm9close_tabEPN3Gtk8NotebookEPNS0_6WidgetE+0x92)[0x83f0cd2]
:/usr/bin/mysql-workbench-bin(_ZN8MainForm13quit_app_becbEv+0x38)[0x83f3a88]
:/usr/bin/mysql-workbench-bin(_ZNK5boost9function0IvEclEv+0x22)[0x844a002]
:/usr/bin/mysql-workbench-bin(_ZN8MainForm12close_windowEP12_GdkEventAny+0x33)[0x83f2b03]
:/usr/bin/mysql-workbench-bin(main+0x661)[0x83e5ca1]
:/usr/bin/mysql-workbench-bin[0x83e9245]
:08048000-08afe000 r-xp 00000000 08:01 59105      /usr/bin/mysql-workbench-bin
:08afe000-08aff000 r--p 00ab5000 08:01 59105      /usr/bin/mysql-workbench-bin
:08aff000-08b04000 rw-p 00ab6000 08:01 59105      /usr/bin/mysql-workbench-bin
:08b07000-08de6000 rw-p 00aba000 08:01 59105      /usr/bin/mysql-workbench-bin
Comment 1 muscat 2012-07-18 17:28:01 EDT
Created attachment 599003 [details]
File: core_backtrace
Comment 2 muscat 2012-07-18 17:28:03 EDT
Created attachment 599004 [details]
File: backtrace
Comment 3 muscat 2012-07-18 17:28:05 EDT
Created attachment 599005 [details]
File: smolt_data
Comment 4 muscat 2012-07-18 17:28:07 EDT
Created attachment 599006 [details]
File: maps
Comment 5 muscat 2012-07-18 17:28:10 EDT
Created attachment 599007 [details]
File: dso_list
Comment 6 Remi Collet 2012-09-12 08:49:28 EDT
mysql-workbench-5.2.42-2 has been pushed to the Fedora stable repository.

Note You need to log in before you can comment on or make changes to this bug.